Subject: bug#2857: closed (Re: bug#2857: GNU Emacs 22.3 for Mac missing executable)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Mar 2011 06:50:03 +0000

Your bug report

#2857: GNU Emacs 22.3 for Mac missing executable

which was filed against the emacs22 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2857: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2857
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2857: GNU Emacs 22.3 for Mac missing executable
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2011 01:49:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the report. Emacs 22 is very old and has not been supported
for some time. The latest version is 23.3. Please open new reports for
any issues you have with the new version.

Subject: GNU Emacs 22.3 for Mac missing executable
From: Anders Bolt-Evensen <[email-masked]>
To: <[email-masked]>
Date: Thu, 2 Apr 2009 13:39:49 +0200 (MEST)

Hey!

Two things:
1) Emacs 22.3 does not include any executeable files for Mac. When I double-clicked the Emacs.app which is found in emacs-22.3/mac, I get an error message which says "You can't open the application Emacs.app because it may be damaged or incomplete.". When I then checked emacs-22.3/Mac/Emacs.app/Contents/MacOS and saw that the executable file was missing. 

2) I tried to install GNU Emacs 22.2 and Emacs 22.3 on Mac OS X Snow Leopard (beta), but the "sudo make install" command fails on both versions with 
"make[1]: *** [mac.o] Error 1
make: *** [src] Error 2"
During the make process there are a lot of warnings (and 1 error as I saw) that occured. I've made a log file with the output that was written to the terminal during the ./configure and "make install" processes.